#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.13
visibility:           public
id:                   foldl-1.4.13-DEJuC224Z8uLm0jRUXgG47
key:                  foldl-1.4.13-DEJuC224Z8uLm0jRUXgG47
license:              BSD-3-Clause
copyright:            2013 Gabriella Gonzalez
maintainer:           GenuineGabriella@gmail.com
author:               Gabriella Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  2f581bcc54c98450cba2ad8de77be1f7
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.NonEmpty
    Control.Foldl.Text Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-9.0.2/site-local/foldl-1.4.13
library-dirs:         /usr/lib/ghc-9.0.2/site-local/foldl-1.4.13
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-foldl
hs-libraries:         HSfoldl-1.4.13-DEJuC224Z8uLm0jRUXgG47
depends:
    base-4.15.1.0 bytestring-0.10.12.1
    comonad-5.0.8-HfmAOPlFNu29hdSY8Glwgr containers-0.6.4.1
    contravariant-1.5.5-FtJyCLyWfutGN2UWoJs8qd
    hashable-1.4.1.0-DXpj0ho9mwSB6ue30MIccy
    primitive-0.7.4.0-9TVgKpsxQ9UKsTlz0zg7yv
    profunctors-5.6.2-KEOcHxvYmru6K0IsaNWfNS
    random-1.2.1.1-8CHMJ7bQuMH2073ZOampkn
    semigroupoids-5.3.7-I1MZM1aoo7z1PBFuUX0Ukd text-1.2.5.0
    transformers-0.5.6.2
    unordered-containers-0.2.19.1-1oz2vTo8QZe9pPW8EMafVJ
    vector-0.13.0.0-C4IY0qsV06C5Tx1gtETdzw

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

